import request from '@/utils/request'

// 查询文章阅读列表
export function listArticleViews(query) {
  return request({
    url: '/store/articleViews/list',
    method: 'get',
    params: query
  })
}

// 查询文章阅读详细
export function getArticleViews(viewId) {
  return request({
    url: '/store/articleViews/' + viewId,
    method: 'get'
  })
}

// 新增文章阅读
export function addArticleViews(data) {
  return request({
    url: '/store/articleViews',
    method: 'post',
    data: data
  })
}

// 修改文章阅读
export function updateArticleViews(data) {
  return request({
    url: '/store/articleViews',
    method: 'put',
    data: data
  })
}

// 删除文章阅读
export function delArticleViews(viewId) {
  return request({
    url: '/store/articleViews/' + viewId,
    method: 'delete'
  })
}

// 导出文章阅读
export function exportArticleViews(query) {
  return request({
    url: '/store/articleViews/export',
    method: 'get',
    params: query
  })
}